Author Topic: Lets Encrypt ROOT CA Expired  (Read 453 times)

0 Members and 1 Guest are viewing this topic.

Offline
**
Lets Encrypt ROOT CA Expired
« on: September 30, 2021, 05:37:30 PM »
Hi,

Today some from Let's Enctypt used ROOT CA Certs are running out. This happened to me, and renewing is not possible

This will affect a lot or maybe all of us using lets encrypt.

see this: https://letsencrypt.org/docs/dst-root-ca-x3-expiration-september-2021/

how to fix it and make my sites running a valid and working Cert again?

Thanks

Offline
*
Re: Lets Encrypt ROOT CA Expired
« Reply #1 on: October 01, 2021, 12:57:34 AM »
Hi, same problem here. I tried several solutions, but I couldn't. Do you have any news?

Offline
***
Re: Lets Encrypt ROOT CA Expired
« Reply #2 on: October 01, 2021, 06:03:43 AM »
Only the DST Root CA X3 certificate expired on 30 September 2021.

The certificates are now using the ISRG Root X1 certificate automatically.
So there is nothing that needs to be done to "fix".

They only talk about older devices which may not get security updates anymore.
If you have your encryptions stings setup correctly this shouldn't be a problem.

Offline
*
Re: Lets Encrypt ROOT CA Expired
« Reply #3 on: October 01, 2021, 12:41:53 PM »
postfix/smtpd[10217]: warning: TLS library problem: error:14094415:SSL routines:ssl3_read_bytes:sslv3 alert certificate expired:s3_pkt.c:1493:SSL alert number 45:

Several clients are reporting this error.

Code: [Select]
yum update ca-certificates
This command seems to fix it.
« Last Edit: October 01, 2021, 01:24:09 PM by CoriaWeb Hosting »
Partner de CWP

Hosting de calidad en Espaņa con soporte en Espaņol para CWP - https://www.coriaweb.hosting

Offline
*****
Re: Lets Encrypt ROOT CA Expired
« Reply #4 on: October 01, 2021, 01:31:22 PM »
topic closed update of ca certificate is necessary as new ISRG root is added

please note if you're using outdated OS on your personal PC you'll need to update your pc ASAP.